# TODO: use man cache owner?
#
# Conditional build:
%bcond_without	tests	# "make check" call
#
Summary:	Tools for searching and reading man pages
Summary(pl.UTF-8):	Narzędzia do przeszukiwania i czytania stron podręcznika man
Name:		man-db
Version:	2.7.6.1
Release:	2
# project man-db  GPLv2+
# Gnulib part     GPLv3+
License:	GPL v2+ and GPL v3+
Group:		Base
Source0:	http://download.savannah.gnu.org/releases/man-db/%{name}-%{version}.tar.xz
# Source0-md5:	2948d49d0ed7265f60f83aa4a9ac9268
Source1:	%{name}.daily
Source2:	%{name}.sysconfig
# Resolves: #655385 - use old format of nroff output
Patch0:		sgr.patch
URL:		http://www.nongnu.org/man-db/
BuildRequires:	gdbm-devel
BuildRequires:	gettext-tools >= 0.18.1
BuildRequires:	groff
BuildRequires:	less
BuildRequires:	libpipeline-devel >= 1.4.0
BuildRequires:	pkgconfig
BuildRequires:	po4a >= 0.41
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	coreutils
Requires:	cronjobs
Requires:	grep
Requires:	groff
Requires:	gzip
Requires:	less
Requires:	libpipeline >= 1.4.0
Provides:	man-pages-reader = %{version}
Obsoletes:	man < 1.7
Obsoletes:	man-config
Obsoletes:	man-whatis
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cache	/var/cache/man

%description
The man-db package includes five tools for browsing man-pages: man,
whatis, apropos, manpath and lexgrog:
- man preformats and displays manual pages.
- whatis searches the manual page names.
- apropos searches the manual page names and descriptions.
- manpath determines search path for manual pages.
- lexgrog directly reads header information in manual pages.

%description -l pl.UTF-8
Pakiet man-db zawiera pięć narzędzi do przeglądania stron podręcznika
man (nazywanych man-pages): man, whatis, apropos, manpath i lexgrog:
- man wstępnie formatuje i wyświetla strony podręcznika.
- whatis przeszukuje nazwy stron podręcznika.
- apropos przeszukuje nazwy stron podręcznika oraz opisy.
- manpath określa ścieżkę przeszukiwania dla stron podręcznika.
- lexgrog bezpośrednio odczytuje informacje z nagłówka stron
  podręcznika.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-cache-owner \
	--disable-setuid \
	--disable-silent-rules \
	--with-browser=elinks \
	--with-sections="1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x" \
	--with-systemdtmpfilesdir=%{systemdtmpfilesdir}

%{__make} \
	CC="%{__cc} %{rpmcflags} %{rpmcppflags}"

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL='install -p' \
	prefix=%{_prefix} \
	DESTDIR=$RPM_BUILD_ROOT

# move the documentation to relevant place
%{__mv} $RPM_BUILD_ROOT%{_docdir}/man-db/* ./

# remove libtool archives
%{__rm} $RPM_BUILD_ROOT%{_libdir}/man-db/*.la

# install cache directory
install -d $RPM_BUILD_ROOT%{cache}

# install cron script for man-db creation/update
install -D -p %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/man-db.cron

# config for cron script
install -D -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/man-db

cat <<EOF > $RPM_BUILD_ROOT%{systemdtmpfilesdir}/man-db.conf
d %{cache} 2755 root root 1w
EOF

%find_lang %{name}
%find_lang %{name}-gnulib
cat %{name}-gnulib.lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README man-db-manual.txt man-db-manual.ps docs/COPYING ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/man_db.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/man-db
%attr(750,root,root) /etc/cron.daily/man-db.cron
%attr(755,root,root) %{_sbindir}/accessdb
%attr(755,root,root) %{_bindir}/apropos
%attr(755,root,root) %{_bindir}/catman
%attr(755,root,root) %{_bindir}/lexgrog
%attr(755,root,root) %{_bindir}/man
%attr(755,root,root) %{_bindir}/mandb
%attr(755,root,root) %{_bindir}/manpath
%attr(755,root,root) %{_bindir}/whatis
%dir %{_libdir}/man-db
%attr(755,root,root) %{_libdir}/man-db/zsoelim
%attr(755,root,root) %{_libdir}/man-db/*.so
%{_libdir}/man-db/globbing
%{_libdir}/man-db/manconv
%{systemdtmpfilesdir}/man-db.conf
%dir %{cache}
# documentation and translation
%{_mandir}/man1/apropos.1*
%{_mandir}/man1/lexgrog.1*
%{_mandir}/man1/man.1*
%{_mandir}/man1/manconv.1*
%{_mandir}/man1/manpath.1*
%{_mandir}/man1/whatis.1*
%{_mandir}/man1/zsoelim.1*
%{_mandir}/man5/manpath.5*
%{_mandir}/man8/accessdb.8*
%{_mandir}/man8/catman.8*
%{_mandir}/man8/mandb.8*
%lang(da) %{_mandir}/da/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%lang(id) %{_mandir}/id/man*/*
%lang(it) %{_mandir}/it/man*/*
%lang(ja) %{_mandir}/ja/man*/*
%lang(nl) %{_mandir}/nl/man*/*
%lang(pl) %{_mandir}/pl/man*/*
%lang(ru) %{_mandir}/ru/man*/*
%lang(sv) %{_mandir}/sv/man*/*
%lang(zh_CN) %{_mandir}/zh_CN/man*/*
%changelog
* Fri Jul 14 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/man-db.git;a=log;h=master

* Wed Jul 12 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 39e6180
- rel 2

* Wed Jul 12 2017 Jakub Bogusz <qboosh@pld-linux.org> a34d597
- disable cache-owner option which has no chances to work without proper environment (man user etc.); now tests pass
- cleaned up systemd/timer remants (cron.daily is handled by timer via PLD provided configuration)

* Sun Jul 09 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c59720
- up to 2.7.6.1

* Wed Apr 05 2017 Mateusz Korniak <matkor@pld-linux.org> 99865d5
- Release: 3. Disabled duplicate systemd timer.

* Wed Apr 05 2017 Mateusz Korniak <matkor@pld-linux.org> 43f6530
- Added cronjob timer+service.

* Fri Mar 10 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> bc2bd68
- Release: 2

* Thu Mar 09 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 9ec5982
- add systemd-cronjobs support

* Fri Sep 11 2015 Elan Ruusamäe <glen@delfi.ee> e31c0f1
- up to 2.7.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> ff7322d
- x32 rebuild
- release 3 (by relup.sh)

* Fri Feb 13 2015 Łukasz Kieś <kiesiu@pld-linux.org> a07e8d4
- use PLD permissions on cache dir in tmpfile.d conf
- rel. 2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> fc1fa9f
- updated gettext BR

* Wed Nov 12 2014 Jakub Bogusz <qboosh@pld-linux.org> fc5a506
- bcond description

* Sun Nov 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 419169a
- up to 2.7.1

* Thu Nov 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c24a0fe
- up to 2.7.0.2

* Sun Apr 13 2014 Jakub Bogusz <qboosh@pld-linux.org> e040780
- updated to 2.6.7.1

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> e50e19c
- updated to 2.6.6

* Fri Nov 22 2013 Elan Ruusamäe <glen@delfi.ee> 54e8f08
- man-db cron should not exit with failure when cleaning up lock

* Fri Oct 18 2013 Jan Rękorajski <baggins@pld-linux.org> 0f737d8
- rel 3

* Fri Oct 18 2013 Jan Rękorajski <baggins@pld-linux.org> f52b433
- Revert "do not use dot in run-parts scanned dir"

* Fri Oct 18 2013 Elan Ruusamäe <glen@delfi.ee> defebc5
- do not use dot in run-parts scanned dir

